rio_open_inb_mbox
Prev | PPC32 support | Next

## Name

rio_open_inb_mbox — Initialize MPC85xx inbound mailbox

## Synopsis

`int rio_open_inb_mbox (` | struct rio_mport * | mport,
| void * | dev_id,
| int | mbox,
| int | entries`)`;

## Arguments

`mport`

  Master port implementing the inbound message unit

`dev_id`

  Device specific pointer to pass on event

`mbox`

  Mailbox to open

`entries`

  Number of entries in the inbound mailbox ring

## Description

Initializes buffer ring, request the inbound message interrupt, and enables the inbound message unit. Returns `0` on success and `-EINVAL` or `-ENOMEM` on failure.

Prev | Up | Next
mpc85xx_rio_rx_handler | Home | rio_close_inb_mbox